# InquiryPriceCreateEipAddress

## 1. API Description

This API (InquiryPriceCreateEipAddress) is used to query the price of creating elastic IP.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type                                                                       | Description                                                                                                                                                             |
| ---------------- | -------- | -------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId           | Yes      | String                                                                     | Zone ID to which the elastic IP belongs.                                                                                                                                |
| eipChargeType    | Yes      | [ChargeType](/api-reference/compute/bmc/datastructure.md#chargetype)       | <p>Elastic IP pricing model .</p><p>PREPAID: subscription</p><p>POSTPAID: pay-as-you-go</p>                                                                             |
| eipChargePrepaid | No       | [ChargePrepaid](/api-reference/compute/bmc/datastructure.md#chargeprepaid) | Details of the monthly subscription, including the purchase period, auto-renewal. It is required if the `eipChargeType` is `PREPAID`.                                   |
| amount           | No       | Integer                                                                    | <p>Quantity of elastic IPs.</p><p>Value range: 1-100.</p><p>Default value: 1.</p><p>Value range: \[1, 100]</p><p>Default value: 1</p>                                   |
| netmask          | No       | Integer                                                                    | <p>The netmask.</p><p>You can obtain the list of available netmasks from the DescribeEipAvailableResources API.</p><p>Value range: \[1, 32]</p><p>Default value: 32</p> |

## 3. Output Parameters

| Parameter Name | Type                                                               | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| eipPrice       | [PriceItem](/api-reference/compute/bmc/datastructure.md#priceitem) | Price of the elastic IP.                                                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the pay-as-you-go price of creating an elastic IP**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateEipAddress
<Common Request Params>

Request：
{
    "zoneId": "SEL-A",
    "eipChargeType": "POSTPAID"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": { 
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "eipPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.63,
      "discountUnitPrice": 0.63,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                         | Description                                 |
| ---------------- | ---------------------------------- | ------------------------------------------- |
| 400              | INVALID\_EIP\_TYPE\_ZONE\_NO\_SELL | Elastic IPs not available for sale in zone. |
| 404              | INVALID\_ZONE\_NOT\_FOUND          | Zone not found.                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/elastic-ip/inquirypricecreateeipaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
